# TODO: optflags
Summary:	Ruby FastCGI Library
Summary(pl.UTF-8):	Biblioteka FastCGI dla języka Ruby
Name:		ruby-fcgi
Version:	0.8.7
Release:	6
License:	GPL
Group:		Development/Libraries
Source0:	http://www.moonwolf.com/ruby/archive/%{name}-%{version}.tar.gz
# Source0-md5:	fe4d4a019785e8108668a3e81a5df5e1
Patch0:		%{name}-ruby1.9.patch
URL:		http://sugi.nemui.org/prod/ruby-fcgi/
BuildRequires:	fcgi-devel
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby-devel >= 1:1.8.4
Obsoletes:	ruby-fcgi-minero
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ruby FastCGI Library.

%description -l pl.UTF-8
Biblioteka FastCGI dla języka Ruby.

%package rdoc
Summary:	HTML documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{name}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description rdoc
HTML documentation for %{name}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{name}.

%package ri
Summary:	ri documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{name}
Group:		Documentation
Requires:	ruby
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description ri
ri documentation for %{name}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{name}.

%prep
%setup -q
%patch0 -p1

%build
ruby install.rb config \
	--site-ruby=%{ruby_vendorlibdir} \
	--so-dir=%{ruby_vendorarchdir}

ruby install.rb setup

rdoc --ri --op ri lib ext
rdoc --op rdoc lib ext
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_ridir},%{ruby_rdocdir}}

ruby install.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_vendorarchdir}/fcgi.so
%{ruby_vendorlibdir}/fcgi.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/FCGI
%changelog
* Sat Mar 19 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-fcgi.git;a=log;h=master

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 0fd0c8a
- ruby 2.1 rebuild
- release 6 (by relup.sh)

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> cf5b151
- noarch rdoc and ri subpackages

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> d17a869
- rebuild for ruby 2.0
- release 4 (by relup.sh)

* Thu Dec 19 2013 Elan Ruusamäe <glen@delfi.ee> cb41ff4
- release 3 (by relup.sh)

* Thu Dec 19 2013 Elan Ruusamäe <glen@delfi.ee> 1674b24
- install to vendor dir

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> a45b94d
- rel 2
- make it build and work with ruby 1.9
- added rdoc and ri packages

* Fri Jun 15 2007 aredridel <aredridel@pld-linux.org> 68654e6
- obsoleted by 0.8.7

* Fri Jun 15 2007 aredridel <aredridel@pld-linux.org> 57a1e4c
- 0.8.7

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 347c2a6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bb215fc
- converted to UTF-8

* Sun Jan 01 2006 twittner <twittner@pld-linux.org> 6bdb81c
- added BR: ruby-devel >= 1:1.8.4-5 (ruby with ruby-mkfm-shared.patch)
- rel.3, STBR

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> ddad38c
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> 518204f
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Wed Dec 28 2005 aredridel <aredridel@pld-linux.org> 84a8995
- added eagain patch

* Wed Dec 28 2005 aredridel <aredridel@pld-linux.org> 99f71a0
- added

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> 7d78a52
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

* Sat Nov 19 2005 Elan Ruusamäe <glen@pld-linux.org> 7ec323e
- use system ruby macros
- cleanups, corrections, cosmetics

* Mon Sep 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 837d780
- outdated (I suppose)

* Mon Sep 05 2005 aredridel <aredridel@pld-linux.org> 67075d6
- up to 0.8.6

* Fri Apr 08 2005 aredridel <aredridel@pld-linux.org> 90d51c3
- obsolete. Applied upstream

